Bug 967691 - RFE: Click rendered panel content to select corresponding XML
RFE: Click rendered panel content to select corresponding XML
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 00:30 EDT by Misha H. Ali
Modified: 2014-08-04 18:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-05-28 00:30:16 EDT
Just an idea for a nifty feature.

When looking at the render panel in the new CCMS UI's edit topic page, it would be great if we could select a bit of text or just click on a place in the text and have the corresponding XML selected in the XML panel, or just have the cursor move t that place in the XML.
Comment 1 Matthew Casperson 2013-06-05 19:46:54 EDT
Fixed in 201306060920.

Click in the rendered view and the editor will move to the appropriate line.

NOTE:
When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Be aware that this fix may have only been applied in PressGang Next at this time, or it may not be currently applied in any production system, in which case it can only be verified at a later date.
Comment 2 Misha H. Ali 2013-06-06 00:43:51 EDT
Tested in PressGang Next Build 201306061352

Fantastic work, guys!
Comment 3 Matthew Casperson 2013-06-30 22:46:27 EDT
I've actually had to revert this feature when moving to the new rendering system.
Comment 4 Lee Newson 2013-10-01 01:17:40 EDT
Moving this back to NEW, since there hasn't been any activity on this bug for
some time and we currently don't have anything scheduled.

Note You need to log in before you can comment on or make changes to this bug.